=begin
#Flat API

#The Flat API allows you to easily extend the abilities of the [Flat Platform](https://flat.io), with a wide range of use cases including the following:  * Creating and importing new music scores using MusicXML or MIDI files * Browsing, updating, copying, exporting the user's scores (for example in MP3, WAV or MIDI) * Managing educational resources with Flat for Education: creating & updating the organization accounts, the classes, rosters and assignments.  The Flat API is built on HTTP. Our API is RESTful It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. The [schema](/swagger.yaml) of this API follows the [OpenAPI Initiative (OAI) specification](https://www.openapis.org/), you can use and work with [compatible Swagger tools](http://swagger.io/open-source-integrations/). This API features Cross-Origin Resource Sharing (CORS) implemented in compliance with [W3C spec](https://www.w3.org/TR/cors/).  You can use your favorite HTTP/REST library for your programming language to use Flat's API. This specification and reference is [available on Github](https://github.com/FlatIO/api-reference).  Getting Started and learn more:  * [API Overview and interoduction](https://flat.io/developers/docs/api/) * [Authentication (Personal Access Tokens or OAuth2)](https://flat.io/developers/docs/api/authentication.html) * [SDKs](https://flat.io/developers/docs/api/sdks.html) * [Rate Limits](https://flat.io/developers/docs/api/rate-limits.html) * [Changelog](https://flat.io/developers/docs/api/changelog.html) 

OpenAPI spec version: 2.6.0
Contact: developers@flat.io
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FlatApi::ClassApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ClassApi' do
  before do
    # run before each test
    @instance = FlatApi::ClassApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ClassApi' do
    it 'should create an instance of ClassApi' do
      expect(@instance).to be_instance_of(FlatApi::ClassApi)
    end
  end

  # unit tests for activate_class
  # Activate the class
  # Mark the class as &#x60;active&#x60;. This is mainly used for classes synchronized from Clever that are initially with an &#x60;inactive&#x60; state and hidden in the UI. 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'activate_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for add_class_user
  # Add a user to the class
  # This method can be used by a teacher of the class to enroll another Flat user into the class.  Only users that are part of your Organization can be enrolled in a class of this same Organization.  When enrolling a user in the class, Flat will automatically add this user to the corresponding Class group, based on this role in the Organization. 
  # @param _class Unique identifier of the class
  # @param user Unique identifier of the user
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'add_class_user test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for archive_class
  # Archive the class
  # Mark the class as &#x60;archived&#x60;. When this course is synchronized with another app, like Google Classroom, this state will be automatically be updated. 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'archive_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for copy_assignment
  # Copy an assignment
  # Copy an assignment to a specified class.  If the original assignment has a due date in the past, this new assingment will be created without a due date.  If the new class is synchronized with an external app (e.g. Google Classroom), the copied assignment will also be posted on the external app. 
  # @param _class Unique identifier of the class
  # @param assignment Unique identifier of the assignment
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [Assignment]
  describe 'copy_assignment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_assignment
  # Assignment creation
  # Use this method as a teacher to create and post a new assignment to a class.  If the class is synchronized with Google Classroom, the assignment will be automatically posted to your Classroom course. 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @option opts [AssignmentCreation] :body 
  # @return [Assignment]
  describe 'create_assignment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_class
  # Create a new class
  # Classrooms on Flat allow you to create activities with assignments and post content to a specific group.  When creating a class, Flat automatically creates two groups: one for the teachers of the course, one for the students. The creator of this class is automatically added to the teachers group.  If the classsroom is synchronized with another application like Google Classroom, some of the meta information will automatically be updated.  You can add users to this class using &#x60;POST /classes/{class}/users/{user}&#x60;, they will automatically added to the group based on their role on Flat. Users can also enroll themselves to this class using &#x60;POST /classes/enroll/{enrollmentCode}&#x60; and the &#x60;enrollmentCode&#x60; returned in the &#x60;ClassDetails&#x60; response. 
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'create_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_submission
  # Create or edit a submission
  # Use this method as a student to create, update and submit a submission related to an assignment. Students can only set &#x60;attachments&#x60;, &#x60;studentComment&#x60; and &#x60;submit&#x60;.  Teachers can use &#x60;PUT /classes/{class}/assignments/{assignment}/submissions/{submission}&#x60; to update a submission by id. 
  # @param _class Unique identifier of the class
  # @param assignment Unique identifier of the assignment
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [AssignmentSubmission]
  describe 'create_submission test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_class_user
  # Remove a user from the class
  # This method can be used by a teacher to remove a user from the class, or by a student to leave the classroom.  Warning: Removing a user from the class will remove the associated resources, including the submissions and feedback related to these submissions. 
  # @param _class Unique identifier of the class
  # @param user Unique identifier of the user
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_class_user test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for edit_submission
  # Edit a submission
  # Use this method as a teacher to update the different submission and give feedback. Teachers can only set &#x60;returnFeedback&#x60; 
  # @param _class Unique identifier of the class
  # @param assignment Unique identifier of the assignment
  # @param submission Unique identifier of the submission
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [AssignmentSubmission]
  describe 'edit_submission test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for enroll_class
  # Join a class
  # Use this method to join a class using an enrollment code given one of the teacher of this class. This code is also available in the &#x60;ClassDetails&#x60; returned to the teachers when creating the class or listing / fetching a specific class.  Flat will automatically add the user to the corresponding class group based on this role in the organization. 
  # @param enrollment_code The enrollment code, available to the teacher in &#x60;ClassDetails&#x60; 
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'enroll_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_class
  # Get the details of a single class
  # 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'get_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_score_submissions
  # List submissions related to the score
  # This API call will list the different assignments submissions where the score is attached. This method can be used by anyone that are part of the organization and have at least read access to the document. 
  # @param score Unique identifier of the score document. This can be a Flat Score unique identifier (i.e. &#x60;ScoreDetails.id&#x60;) or, if the score is also a Google Drive file, the Drive file unique identifier prefixed with &#x60;drive-&#x60; (e.g. &#x60;drive-0B000000000&#x60;). 
  # @param [Hash] opts the optional parameters
  # @return [Array<AssignmentSubmission>]
  describe 'get_score_submissions test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_submission
  # Get a student submission
  # 
  # @param _class Unique identifier of the class
  # @param assignment Unique identifier of the assignment
  # @param submission Unique identifier of the submission
  # @param [Hash] opts the optional parameters
  # @return [AssignmentSubmission]
  describe 'get_submission test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_submissions
  # List the students&#39; submissions
  # 
  # @param _class Unique identifier of the class
  # @param assignment Unique identifier of the assignment
  # @param [Hash] opts the optional parameters
  # @return [Array<AssignmentSubmission>]
  describe 'get_submissions test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_assignments
  # Assignments listing
  # 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @return [Array<Assignment>]
  describe 'list_assignments test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_class_student_submissions
  # List the submissions for a student
  # Use this method as a teacher to list all the assignment submissions sent by a student of the class 
  # @param _class Unique identifier of the class
  # @param user Unique identifier of the user
  # @param [Hash] opts the optional parameters
  # @return [Array<AssignmentSubmission>]
  describe 'list_class_student_submissions test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_classes
  # List the classes available for the current user
  # 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :state Filter the classes by state
  # @return [Array<ClassDetails>]
  describe 'list_classes test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unarchive_class
  # Unarchive the class
  # Mark the class as &#x60;active&#x60;. When this course is synchronized with another app, like Google Classroom, this state will be automatically be updated. 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @return [ClassDetails]
  describe 'unarchive_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_class
  # Update the class
  # Update the meta information of the class 
  # @param _class Unique identifier of the class
  # @param [Hash] opts the optional parameters
  # @option opts [ClassUpdate] :body Details of the Class
  # @return [ClassDetails]
  describe 'update_class test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
